<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ota__macros" kind="group">
    <compoundname>group_ota_macros</compoundname>
    <title>OTA Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__ota__macros_1ga0fb96e428627464276d0ffef86672e9f" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_OTA_UPDATE_BASE</name>
        <initializer>(CY_RSLT_MODULE_MIDDLEWARE_BASE + 13)</initializer>
        <briefdescription>
<para>OTA Update module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="68" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, <ref kindref="member" refid="group__group__ota__macros_1ga0fb96e428627464276d0ffef86672e9f">CY_RSLT_MODULE_OTA_UPDATE_BASE</ref>, 0)</initializer>
        <briefdescription>
<para>OTA Update error code base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="73" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gaef318c4aef208a23957acdf5fa4263d7" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_UNSUPPORTED</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  1)</initializer>
        <briefdescription>
<para>Unsupported feature. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="75" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga2bfb7d49ce96e6cdbf937ec7cac7bf12" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_GENERAL</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  2)</initializer>
        <briefdescription>
<para>Generic error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="76" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="76" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga5f045ceaaa478a99bdc861922af87404" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_BADARG</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  3)</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="77" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="77" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga602b9706eebb62da969ac0e33338bd97" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_OUT_OF_MEMORY</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  4)</initializer>
        <briefdescription>
<para>Out of Memory Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="78" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="78" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gac4da551b2f4908dccaa40b6fe233d075" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_ALREADY_STARTED</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  5)</initializer>
        <briefdescription>
<para>OTA Already started. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="79" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gacc1a9b1b27f1b1c2865a272023c412b5" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_MQTT_INIT</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  6)</initializer>
        <briefdescription>
<para>MQTT init failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="80" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="80" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga94a5fccb180521ba74ea27e377040df2" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_OPEN_STORAGE</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  7)</initializer>
        <briefdescription>
<para>Local storage open error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="81" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga0e94362bf172e8e01e851f18a41b6a5f" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_WRITE_STORAGE</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  8)</initializer>
        <briefdescription>
<para>Write to local storage error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="82" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="82" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga074884bb0c5caffdd660e577af3248f7" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_CLOSE_STORAGE</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> +  9)</initializer>
        <briefdescription>
<para>Close local storage error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="83" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="83" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga519c506d59a1ab1e126d9dd4e8a5f054" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_CONNECT</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 10)</initializer>
        <briefdescription>
<para>Server connect Failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="84" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="84" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gaf1d3f3c05f8239bac90ff280f34441ad" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_DISCONNECT</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 11)</initializer>
        <briefdescription>
<para>Server disconnect error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="85" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gaa8eec83bf1a9f12fbf3d0695fd927ecc" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_REDIRECT</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 12)</initializer>
        <briefdescription>
<para>Redirection failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="86" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="86" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga1c25e49e9d4924010fa246372c35ecaf" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_SERVER_DROPPED</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 13)</initializer>
        <briefdescription>
<para>Broker/Server disconnect. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="87" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="87" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gaf18f30c0c209b60012ed43e259c8299b" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_MQTT_SUBSCRIBE</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 14)</initializer>
        <briefdescription>
<para>Broker/Server Subscribe error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="88" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="88" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gae0ebc271ab58c1b95ca1cd3a5edf062b" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_MQTT_PUBLISH</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 15)</initializer>
        <briefdescription>
<para>Broker/Server Publish error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="89" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="89" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga72d33079184f1c4b38d59ca9ed2ba4cf" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_GET_JOB</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 16)</initializer>
        <briefdescription>
<para>Failed to get OTA Image. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="90" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gafc81291ec2968b7a51973b609c761bd1" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_GET_DATA</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 17)</initializer>
        <briefdescription>
<para>Failed to get OTA Image. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="91" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="91" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga996c7f0d10151efc3a1061d664d0ea8a" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_NOT_A_HEADER</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 18)</initializer>
        <briefdescription>
<para>No header in payload. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="92" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="92" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga90bf832c7c98a10c1ccf1ef867577ef8" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_NOT_A_JOB_DOC</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 19)</initializer>
        <briefdescription>
<para>Job document is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="93" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="93" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gab2357860328020f4b5bb96e4976e0503" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_MALFORMED_JOB_DOC</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 20)</initializer>
        <briefdescription>
<para>Malformed Job document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="94" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga1d12c0a9bded83c9c7fc28de4cb26e8d" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_WRONG_BOARD</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 21)</initializer>
        <briefdescription>
<para>Board in Job document does not match. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="95" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga828f0bfe78f4314ed585f7989eb0e1e9" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_INVALID_VERSION</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 22)</initializer>
        <briefdescription>
<para>Invalid version in Job or Packet. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="96" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga05a242705c79d0c758365caea4d5af97" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_VERIFY</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 23)</initializer>
        <briefdescription>
<para>Verify image failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="97" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga0d9847708d8f998130ce2062ff4ee32f" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_SENDING_RESULT</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 24)</initializer>
        <briefdescription>
<para>Sending result failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="98" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="98" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gabca120598cf31481bf9024330d4a26a6" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ERROR_APP_RETURNED_STOP</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3">CY_RSLT_OTA_ERROR_BASE</ref> + 25)</initializer>
        <briefdescription>
<para>Callback returned Stop OTA download. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="99" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="99" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_INFO_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_INFO, <ref kindref="member" refid="group__group__ota__macros_1ga0fb96e428627464276d0ffef86672e9f">CY_RSLT_MODULE_OTA_UPDATE_BASE</ref>, 0)</initializer>
        <briefdescription>
<para>Base for informational results. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="101" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga442089df28bff420f4c6c807104c36cf" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_EXITING</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d">CY_RSLT_OTA_INFO_BASE</ref> + 1)</initializer>
        <briefdescription>
<para>OTA Agent exiting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="102" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="102" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga5855d176295aea93b87f4f5b701a2c3b" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_ALREADY_CONNECTED</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d">CY_RSLT_OTA_INFO_BASE</ref> + 2)</initializer>
        <briefdescription>
<para>OTA Already Connected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="103" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga0ebe6e99ef7dd59f63021386bea90274" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_CHANGING_SERVER</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d">CY_RSLT_OTA_INFO_BASE</ref> + 3)</initializer>
        <briefdescription>
<para>Data broker/server different from job. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="104" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="104" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga3b3610ed06decd49b59451ad71a2f9fb" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_USE_JOB_FLOW</name>
        <initializer>(CY_RSLT_SUCCESS          )</initializer>
        <briefdescription>
<para>Use Job Flow for update. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="106" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1ga8ab9d0ba1ee8476721ca3c668418d605" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_USE_DIRECT_FLOW</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d">CY_RSLT_OTA_INFO_BASE</ref> + 4)</initializer>
        <briefdescription>
<para>Use Direct Flow for update. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="107" />
      </memberdef>
      <memberdef id="group__group__ota__macros_1gac0aa1a41fe2d75d14443050ecb235505" kind="define" prot="public" static="no">
        <name>CY_RSLT_OTA_NO_UPDATE_AVAILABLE</name>
        <initializer>(<ref kindref="member" refid="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d">CY_RSLT_OTA_INFO_BASE</ref> + 5)</initializer>
        <briefdescription>
<para>No OTA update on Server. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="108" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="108" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros used to define OTA Agent behavior. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>